Bug 53202 - Number minus Enum gives wrong value
Summary: Number minus Enum gives wrong value
Status: RESOLVED FIXED
Alias: None
Product: Compilers
Classification: Mono
Component: C# (show other bugs)
Version: 4.0.0
Hardware: PC All
: --- normal
Target Milestone: ---
Assignee: Marek Safar
URL:
Depends on:
Blocks:
 
Reported: 2017-03-09 18:08 UTC by Denis Zykov
Modified: 2017-06-01 14:36 UTC (History)
1 user (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on GitHub or Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Denis Zykov 2017-03-09 18:08:03 UTC
Following code:

csharp> (int)ConsoleColor.DarkCyan
3
csharp> 5 - ConsoleColor.DarkCyan
-2

in .NET gives 2, which is correct result.

Number plus Enum, Enum plus Number, Enum minus Number are fine.
Comment 1 Marek Safar 2017-06-01 14:36:42 UTC
Fixed in master and 2017-04 branch